package com.chelvc.cloud.vehicle.api.param;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description: 查询评论列表
 * @ClassName: QueryContentDynamicCommentDTO
 * @Author: ygl
 * @Date: 2023/2/26 16:48
 * @Version: 1.0
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class QueryDynamicCommentParam implements Serializable {

    private static final long serialVersionUID = 8002190400733132676L;
    /**
     * 动态标识
     */
    @NotNull(message = "动态标识不能为空")
    private Long dynamicId;

    /**
     * 父级评论(0表示为根评论),默认为0
     */
    @NotNull(message = "参数不能为空")
    private Long parentId;

    /**
     * 用户id
     */
    private Long userId;
}
