package com.chelvc.cloud.vehicle.server.service.impl;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.chelvc.cloud.vehicle.api.param.FeedBackReplyModifyParam;
import com.chelvc.cloud.vehicle.server.copier.FeedbackReplyCopier;
import com.chelvc.cloud.vehicle.server.dao.FeedbackReolyMapper;
import com.chelvc.cloud.vehicle.server.entity.FeedBackReply;
import com.chelvc.cloud.vehicle.server.service.FeedbackReplyService;
import com.chelvc.framework.base.context.SessionContextHolder;
import com.chelvc.framework.common.util.AssertUtils;
import lombok.NonNull;
import org.apache.dubbo.config.annotation.DubboService;
import java.util.Date;

/**
 * 意见反馈回复业务操作实现
 *
 * @author liude
 * @date 2024/1/16
 */
@DubboService(interfaceClass = com.chelvc.cloud.vehicle.api.service.FeedbackReplyService.class)
public class FeedbackReplyServiceImpl extends ServiceImpl<FeedbackReolyMapper, FeedBackReply> implements FeedbackReplyService,
        com.chelvc.cloud.vehicle.api.service.FeedbackReplyService {
    @Override
    public Long addFeedbackReply(@NonNull FeedBackReplyModifyParam param) {
        FeedBackReply feedBackReply = FeedbackReplyCopier.INSTANCE.copying(param);
        Long userId = SessionContextHolder.getId();
        feedBackReply.setCreateTime(new Date());
        feedBackReply.setCreator(userId);
        feedBackReply.setReaded("0");
        feedBackReply.setReplyType("0");
        this.save(feedBackReply);
        return feedBackReply.getId();
    }

    @Override
    public void updateFeedbackReply(@NonNull Long id, @NonNull FeedBackReplyModifyParam param) {
        FeedBackReply feedBackReply = AssertUtils.available(this.getById(id), "该意见反馈回复不存在");
        FeedbackReplyCopier.INSTANCE.copying(param, feedBackReply);
        this.updateById(feedBackReply);
    }

 }
